ReferenceMCP servers
Every MCP server, without header values (platform admins and auditors)
GET
Platform servers and teams' own (team names the owner; null for a platform server), or one owner's.
owner?stringall (default), platform, or a team's slug or ID: whose servers
MCP servers
application/json- response
data*array<>curl -X GET 'https://agents.example.com/v1/admin/mcp-servers'{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "slug": "string", "description": "string", "url": "string", "accessMode": "proxy", "enabled": true, "visibility": "all", "personal": true, "teams": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string" } ], "hasHeaders": true, "tools": [ { "name": "string", "title": "string", "description": "string" } ], "toolsRefreshedAt": "2019-08-24T14:15:22Z", "toolsError": "string", "team": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string", "kind": "team" }, "revision": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}